#
# spec file for package xf86-video-amdgpu
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%if 0%{?suse_version} >= 1330 
%define pci_ids_dir %{_sysconfdir}/X11/xorg_pci_ids
%endif

Name:           xf86-video-amdgpu
Version:        1.1.0
Release:        1.4
Summary:        AMDGPU video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source:         ftp://ftp.freedesktop.org/pub/xorg/individual/driver/%{name}-%{version}.tar.bz2
Source1:        amdgpu.ids
BuildRequires:  Mesa-devel
BuildRequires:  autoconf >= 2.6.0
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm) >= 2.4.58
BuildRequires:  pkgconfig(libdrm_amdgpu)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.16
BuildRequires:  pkgconfig(xproto)
Supplements:    xorg-x11-server
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{x11_abi_videodrv_req}

%description
amdgpu is an Xorg driver for AMD video cards.

Its autodetects whether your hardware has a CI or newer AMD Graphics Card

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
rm -f %{buildroot}%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%if 0%{?pci_ids_dir:1}
%{__mkdir_p} %{buildroot}%{pci_ids_dir}
cp %{S:1} %{buildroot}%{pci_ids_dir}/
%endif

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/amdgpu_drv.so
%{_mandir}/man4/amdgpu.4%{?ext_man}
%if 0%{?pci_ids_dir:1}
%{pci_ids_dir}/amdgpu.ids
%endif

%changelog
* Fri Apr  8 2016 sndirsch@suse.com
- amdgpu.ids: added new PCI IDs supported by driver release 1.1.0
* Thu Apr  7 2016 mimi.vx@gmail.com
- update to 1.1.0
  * Support for the upcoming Polaris family of GPUs.
  * Option "TearFree" can now prevent tearing with rotation/reflection as
  well (with Xorg >= 1.16).
  * RandR CRTC transforms now work correctly (but for now still exhibit
  tearing even with TearFree).
  * The RandR 1.4 provider name is now no longer hardcoded to "amdgpu"
  but constructed from the GPU chipset name and bus ID, allowing
  several GPUs supported by this driver to be distinguished by name.
  * The RandR primary output is now always explicitly marked as such.
  * The driver can prevent clients trying to use the DRI3 extension over a
  display connection forwarded via SSH from hanging.
  * VDPAU/OpenGL interoperation can now work with DRI3 enabled.
  * Many more fixes for issues using the DRI3/Present extensions.
  * Plus many other small improvements and fixes. Thanks to everybody who
  contributed to this release in any way!*
* Tue Mar 22 2016 eich@suse.com
- Add amdgpu.ids which lists all supported PCI Id for server
  (boo#972126).
* Tue Feb 23 2016 mimi.vx@gmail.com
- update to 1.0.1
  * sync: Check if miSyncShmScreenInit symbol is resolved at runtime
  * Only map front buffer if glamor acceleration is disabled (v2)
  * Don't advertise any PRIME offloading capabilities without acceleration
  * Load fb module before glamoregl/shadow modules
  * HAS_DIRTYTRACKING_ROTATION also supports multiple CRTCs
  * Check for NULL koutput in drmmode_output_dpms
* Fri Nov 20 2015 sndirsch@suse.com
- update to release 1.0.0
  This is the initial release of the xf86-video-amdgpu driver.
  It was forked from the xf86-video-ati radeon driver and modified to
  support the amdgpu kernel driver via libdrm_amdgpu, and by extension
  the latest AMD GPU families Tonga, Carrizo, Iceland, Fiji and Stoney.
  Some functionality was removed because it's not relevant for the GPUs
  supported by the amdgpu kernel driver, but other than that the two
  drivers are more or less on par with respect to functionality and bug
  fixes.
  Thanks to everybody who contributed to this release!
- get rid of _service file (no longer needed with official release
  now being available)
* Fri Nov 13 2015 olaf@aepfle.de
- Use human readable timestamp %%cd instead of %%ct in _service file
* Tue Nov 10 2015 mimi.vx@gmail.com
- update to 0.0.01~git.1446607417.92e7c93
  * last upstream version -
    http://cgit.freedesktop.org/xorg/driver/xf86-video-amdgpu/log/
* Sat Oct 24 2015 mimi.vx@gmail.com
- initial commit
